# Exposure `GET` `https://api.unusualwhales.com/api/etfs/{ticker}/exposure` Returns all ETFs in which the given ticker is a holding ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `etf` | Etf Ticker | The ticker of the ETF. | | `full_name` | Etf Full Name | The full name of the ETF. | | `last_price` | Candle Close | The closing price of the candle. | | `prev_price` | Stock Prev Close Price | The previous trading day's stock price of the ticker. | | `shares` | Etf Shares | The amount of shares that the ETF holds. | | `weight` | Etf Weight | The weight in percentage that the position represents in the ETF. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/etfs/{ticker}/exposure" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/etfs/{ticker}/exposure", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "etf": "VTI", "full_name": "VANGUARD TOTAL STOCK MARKET INDEX FUND", "last_price": "236.16", "prev_price": "235.25", "shares": 130464268, "weight": "0.35" }, { "etf": "VOO", "full_name": "VANGUARD 500 INDEX FUND", "last_price": "435.2", "prev_price": "433.19", "shares": 102076425, "weight": "0.49" }, { "etf": "QQQ", "full_name": "INVESCO QQQ ", "last_price": "405.97", "prev_price": "404.96", "shares": 75412427, "weight": "1.566" }, { "etf": "SPY", "full_name": "SPDR S&P 500 ETF", "last_price": "471.55", "prev_price": "469.37", "shares": 48427939, "weight": "0.476355" } ] } ```